"""The Kumi Sensors integration."""
from __future__ import annotations

from homeassistant.config_entries import ConfigEntry
from homeassistant.core import HomeAssistant

from .const import DOMAIN
from .kumisensors import KumiSensors

PLATFORMS = ["sensor"]

async def async_setup(hass: HomeAssistant, base_config: dict):
    """Set up the component."""
    # initially empty the settings for this component
    hass.data[DOMAIN] = hass.data.get(DOMAIN, {})

    return True

async def async_setup_entry(hass: HomeAssistant, entry: ConfigEntry) -> bool:
    """Set up Kumi Sensors from a config entry."""
    hass.data[DOMAIN][entry.entry_id] = entry.data

    hass.config_entries.async_setup_platforms(entry, PLATFORMS)

    return True


async def async_unload_entry(hass: HomeAssistant, entry: ConfigEntry) -> bool:
    """Unload a config entry."""
    unload_ok = await hass.config_entries.async_unload_platforms(entry, PLATFORMS)
    if unload_ok:
        hass.data[DOMAIN].pop(entry.entry_id)

    return unload_ok
